## pygtk 2.12.1-6maemo4%2b0m5

=== debian/changelog ===
pygtk (2.12.1-6maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Shilov Alexey <alexey.shilov@nokia.com>  Mon, 06 Apr 2009 13:57:40 +0300

pygtk (2.12.1-6maemo4) unstable; urgency=low

  * Remove patches 09-gtk-builder.patch and 11-fix-configure.in.patch, that
    caused a lot of classes/functions to be missing.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri, 27 Mar 2009 12:25:52 -0400

pygtk (2.12.1-6maemo3.1) unstable; urgency=low

  * Fix packaging problem (md5 mismatch in .dsc)

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Wed, 18 Feb 2009 16:30:53 -0400

pygtk (2.12.1-6maemo3) unstable; urgency=low

  * Remove stray .svn dirs and .pyo prior to build
    - The .svn dirs come from the Debian source, a next revision may remove them
  * Change Conflicts/Replaces version from ${binary:Version} to
    2.12.1-6maemo3 in debian/control.in.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Mon, 09 Feb 2009 09:47:03 -0400

pygtk (2.12.1-6maemo2) unstable; urgency=low

  * Add pymaemo specific patches:
   - 01-add-gtk-extrafuncs.patch
   - 02-hildonize-examples.patch
   - 03-remove-docs-broken-in-armel.patch
   - 04-tap-and-hold-support.patch
   - 05-glade-support.patch
   - 06-add-autogen-and-m4.patch
   - 07-python-launcher-support.patch
   - 08-h2def-struct-fix.patch
   - 09-gtk-builder.patch
   - 10-libtool-m4.patch
   - 10_use-default-python.patch
   - 11-fix-configure.in.patch.
  * Fix environment for calling make in build-%/build-stamp rule 
    with appropriate Python interpreter version.
  * Disable compilation of python-gtk2-doc package.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri,  5 Dec 2008 16:07:33 -0400

pygtk (2.12.1-6maemo1) unstable; urgency=low

  * Add local copy of pkg-gnome.team missing in Scratchbox version of
    gnome-pkg-tools.
  * Remove version from python-support in Build-Depends (maemo has an older
    version).
  * Add Conflicts/Replaces for "python2.5-gtk2 (<< ${binary:Version})".
  * Make python-glade2 package compilation optional and disable it for maemo.
  * Replace "find ... -delete" call with "find ... | xargs rm -rf" (Scratchbox
    version of findutils seems to not support the -delete option).

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 11 Nov 2008 09:52:23 -0400

pygtk (2.12.1-6) unstable; urgency=low

  * 60_pygtk-wakeupfd-fix.patch: do not use the wakeup fd in 
    non-threaded applications, which is uninitialised and becomes 
    stdin. Closes: #484654, #481480.

 -- Josselin Mouette <joss@debian.org>  Sat, 07 Jun 2008 14:15:51 +0200

pygtk (2.12.1-5) unstable; urgency=low

  * Revert 2.12.1-4 upload, re-add the fix, as anyway wakeupfd is used 
    since python now supports it.
  * 50_wakeupfd-curruption.patch: fix memory corruption that occurs 
    when using the wakeupfd API, and makes pygtk mostly unusable on 
    some arches.

 -- Josselin Mouette <joss@debian.org>  Tue, 03 Jun 2008 23:08:31 +0200

pygtk (2.12.1-4) unstable; urgency=low

  * Also add an explicit python2.5 (>= 2.5.2-5) dep; closes: #481977.
  * Drop patch 60_pygtk-wakeupfd-fix, it seems to expose some python2.5
    64-bits issue; revert build-deps and deps bumps from 2.12.1-3 and -4.

 -- Loic Minier <lool@dooz.org>  Tue, 27 May 2008 16:21:53 +0200

pygtk (2.12.1-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3.
  * s/python/Python in description
  * Update 60_pygtk-wakeupfd-fix to use more ifdefs for python without the
    wakeupfd support; closes: #481457.
  * Build-dep and dep on python2.5-dev >= 2.5.2-5 for wakeupfd support.

 -- Loic Minier <lool@dooz.org>  Thu, 15 May 2008 21:59:27 +0200

pygtk (2.12.1-2) unstable; urgency=low

  * New patch, 60_pygtk-wakeupfd-fix, similar to the fix to the initial
    SETWAKEUPFD support in GNOME #481569.

 -- Loic Minier <lool@dooz.org>  Thu, 15 May 2008 15:28:29 +0200

pygtk (2.12.1-1) unstable; urgency=low

  * New upstream release.
    + Bump pygobject dependencies to 2.14.0.
    + Drop 01_glade_example_README.patch, merged upstream.
    + Same for 30_ship_gtk-extrafuncs.defs.patch.
  * Wrap Python-Depends; build-depend on python-support 0.7.6.

 -- Josselin Mouette <joss@debian.org>  Sat, 12 Jan 2008 04:03:14 +0100

pygtk (2.12.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * python-gtk2-doc.postinst: do the symbolic link dance, as the
    symbolic link used to be a directory containing the documentation in
    the split-out package. Closes: #445600.

  [ Loic Minier ]
  * Downgrade Recommends on python-gtk2-doc to Suggests in python-gtk2 and
    python-glade2 and let python-gtk2-dev Recommend python-gtk2-doc.

  [ Josselin Mouette ]
  * Remove .py[co] files in python-gtk2-doc. Closes: #452844.

  [ Loic Minier ]
  * New patch, 30_ship_gtk-extrafuncs.defs, from Ubuntu; fixes missing
    gtk-extrafuncs.defs; closes: #454247.

 -- Loic Minier <lool@dooz.org>  Tue, 04 Dec 2007 11:25:42 +0100

pygtk (2.12.0-1) unstable; urgency=low

  * New upstream release.
  * Use Python-Depends to generate python dependencies; build-depend on
    python-support 0.7.3.
  * Build-depend on GTK+ 2.12 to get the 2.12 specific features.
  * Bump pango and atk build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 13:08:29 +0200

pygtk (2.10.6-1) unstable; urgency=low

  * New upstream release; bug fix.
    - Drop patch 60_missing-codegen-fixes, merged upstream.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Jul 2007 14:31:31 +0200

pygtk (2.10.5-2) unstable; urgency=high

  * New patch, 60_missing-codegen-fixes, fixes TypeError crashes in misc apps
    such as gnome-sudoku and deskbar-applet which were due to an incomplete
    backport of a codegen change; GNOME #455468.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Jul 2007 13:25:26 +0200

pygtk (2.10.5-1) unstable; urgency=low

  * New upstream stable release; bug fixes.
  * Misc cleanups.


