## pygtk 2.12.1-6maemo10

=== debian/changelog ===
pygtk (2.12.1-6maemo10) unstable; urgency=low

  * Update gtk.TreeView with Maemo changes (Fixes: MB#6244)

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Wed,  9 Dec 2009 14:49:08 -0400

pygtk (2.12.1-6maemo9) unstable; urgency=low

  * Update gtk.Dialog with Maemo changes (Fixes: MB#5154) 

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri, 23 Oct 2009 13:57:08 -0400

pygtk (2.12.1-6maemo8) unstable; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Create a individual def file for hildon types and export functions.
  * Export GtkEntry hildon related functions. Fixes: MB#5199

  [ Bruno dos Santos de Araujo ]
  * Remove hardcoded 'site-packages' paths allowing install without
    problems in either python2.5 ou python2.6
  * Use python-dev instead of python2.5-dev and python-all-dev in
    Build-Depends of debian/control[.in]

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Tue,  9 Jun 2009 08:21:01 -0400

pygtk (2.12.1-6maemo7) unstable; urgency=low

  * Enable glade support.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Tue, 12 May 2009 18:03:11 -0400

pygtk (2.12.1-6maemo6) unstable; urgency=low

  * Add build dependency on python-support >= 0.7.6.
  * Add debian/hildon_gtkenums_defs.sh script (that automates collecting
    missing .defs entries parsed from gtkenums.h)
  * Add new patches:
    + 70-hildon_enums_defs.patch: add missing .defs entries from gtkenums.h
    + 80-codegen_hildon_compatibility.patch: improve codegen compatibility
      with Hildon headers.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 14 Apr 2009 21:43:04 -0400

pygtk (2.12.1-6maemo5) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Add binary package (python-gtk2-tests).

  [ Anderson Lizardo ]
  * debian/control:
    + Remove "Uploaders" field (not applicable to maemo).
    + Put the pymaemo-developers mailing list address in "Maintainer" field and
      move original value to a separate field.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed, 01 Apr 2009 11:47:29 -0400
