=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: pygtk
 Section: python
 Priority: optional
-Maintainer: Sebastien Bacher <seb128@debian.org>
-Uploaders: Torsten Landschoff <torsten@debian.org>,
-           Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Clément Stenac <zorglub@debian.org>, Dafydd Harries <daf@debian.org>, Guilherme de S. Pastore <gpastore@debian.org>, Gustavo Franco <stratus@debian.org>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Kilian Krause <kilian@debian.org>, Loic Minier <lool@dooz.org>, Marc 'HE' Brockschmidt <he@debian.org>, Marco Cabizza <marco87@gmail.com>, Oystein Gisnas <oystein@gisnas.net>, Ondřej Surý <ondrej@debian.org>, Ross Burton <ross@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
+XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper (>= 5),
                python-support,
                gnome-pkg-tools (>= 0.10),
                cdbs,
-               python2.5-dev (>= 2.5.2-5),
-               python-all-dev (>= 2.3.5-11),
+               python2.5-dev,
+               python2.6-dev,
                libgtk2.0-dev (>= 2.12.0),
                libglib2.0-dev (>= 2.8.0),
                libpango1.0-dev (>= 1.16.0),
@@ -27,7 +31,7 @@
 Package: python-gtk2
 Architecture: any
 Depends: ${python:Depends},
-         python2.5 (>= 2.5.2-5),
+         python (>= 2.5),
          ${shlibs:Depends},
          ${misc:Depends}
 Python-Depends: python-numeric (>= 24.2-3),
@@ -58,8 +62,7 @@
          python-gtk2 (>= ${source:Version}),
          libglib2.0-dev (>= 2.8),
          libgtk2.0-dev (>= 2.12.0),
-         python2.5-dev (>= 2.5.2-5),
-         python-dev,
+         python-dev (>= 2.5),
          python-gobject-dev (>= 2.14.0)
 Recommends: python-gtk2-doc
 Replaces: python2.2-gtk2 (<< 1.99.17-4),
@@ -119,3 +122,12 @@
  .
  This package also provides several examples showing how to use these
  bindings to build simple GUI applications.
+
+Package: python-gtk2-tests
+Section: tests
+Priority: optional
+Architecture: any
+Depends: ${shlibs:Depends}, ${python:Depends}, python-gtk2
+Description: Tests for python-gtk2 package.
+ Standalone tests for python-gtk2 package; these tests can be 
+ executed directly by calling /usr/share/python-gtk2-tests/runtests.sh.
