=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,9 @@
 PYVERS := $(shell pyversions --requested --version debian/control)
 PYDEFAULTVER := $(shell pyversions --default --version)
 
-with_glade = no
+with_glade = yes
 with_doc = no
+with_tests = no
 
 ifneq ($(with_glade),yes)
 NOPKGS += -Npython-glade2
@@ -29,6 +30,10 @@
 
 ifneq ($(with_doc),yes)
 NOPKGS += -Npython-gtk2-doc
+endif
+
+ifneq ($(with_tests),yes)
+NOPKGS += -Npython-gtk2-tests
 endif
 
 export DH_OPTIONS = $(NOPKGS)
@@ -96,11 +101,23 @@
 	    rm --force --recursive debian/tmp/usr/share/pygtk/2.0/codegen/python$$v; \
 	    rm --force --recursive debian/tmp/usr/share/include/python$$v; \
 	done
+	
+ifeq ($(with_tests),yes)
+	#python-gtk2-tests
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/python-gtk2-tests
+	cp $(CURDIR)/debian/api_dump.py $(CURDIR)/debian/tmp/usr/share/python-gtk2-tests
+	cp $(CURDIR)/debian/runtests.sh $(CURDIR)/debian/tmp/usr/share/python-gtk2-tests
+	cp $(CURDIR)/debian/gtk_baseline.txt $(CURDIR)/debian/tmp/usr/share/python-gtk2-tests
+	cp $(CURDIR)/debian/api_helper.py $(CURDIR)/debian/tmp/usr/share/python-gtk2-tests
+	chmod u+x $(CURDIR)/debian/tmp/usr/share/python-gtk2-tests/runtests.sh
+	dh_install -ppython-gtk2-tests
+endif
 	# finally, install files from DESTDIR in the per-package dirs
 	dh_install
 	# install rtupdate script to handle Python default runtime change
 	install -d debian/python-gtk2-dev/usr/share/python/runtime.d
 	install debian/python-gtk2-dev.rtupdate debian/python-gtk2-dev/usr/share/python/runtime.d
+
 
 clean:: reverse-patches
 	dh_testdir
@@ -117,7 +134,7 @@
 	#remove stray .svn dirs
 	find docs -name .svn | xargs rm -fr
 	#remove .pyo files generated in the last build; does nothing if the package is being built for the first time
-	find codegen -name *.pyo | xargs rm -fr
+	find . -name "*.py[co]" | xargs rm -fr
 
 # Build architecture-independent files here.
 binary-indep: build install
