## pygtk 2.17.0

=== debian/changelog ===
pygtk (2.17.0-4) unstable; urgency=low

  * Provide proper support python-numpy upgrades, calling dh_numpy to
    generate correct dependencies and tighting the build-dependency on
    python-numpy-dbg (Closes: #590733)
  * Switch to format 3.0 (quilt).
  * Bump-Standards-Version to 3.9.1.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 05 Aug 2010 20:31:19 +0200

pygtk (2.17.0-3) unstable; urgency=low

  * debian/control.in:
    - Drop python2.5{,-dev} (build) dependencies. They were there to
      make sure Python had wakeupfd support, but that's already in
      stable and the 2.5 dependency will be problematic in the future,
      so drop it already. Closes: #587008.
    - Point Vcs-* to the unstable branches.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 23 Jul 2010 20:13:29 +0200

pygtk (2.17.0-2) unstable; urgency=low

  * Pass G_HOME=/ for the test suite. Fixes FTBFS. Closes: #570313.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 20:01:05 +0200

pygtk (2.17.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Fix typo when removing unneeded /usr/include directories.

  [ Josselin Mouette ]
  * New upstream release.
  * Bump GTK+ build-dependency.
  * 05_testPixmapCreateFromData.patch, 06_gdk.color_from_hsv.patch: 
    dropped, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 00:11:09 +0200

pygtk (2.16.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove .pyc files created by the test suite in the clean target.
    Closes: #551553.

  [ Loïc Minier ]
  * Bump pango-dev bdep to 1.21.4 for pango_font_map_create_context(); thanks
    Jonas Smedegaard; closes: #554915.
  * Split make check in their own targets.
  * Also make check for -dbg builds.
  * Don't make check when nocheck is in DEB_BUILD_OPTIONS; thanks
    Daniel Schepler.
  * Set PYTHON= properly during make check.
  * Pass "-screen 0 1280x1024x24" to xvfb-run to override default 8 bpp depth
    as it might cause surprize issues -- 8bpp hasn't been supported upstream
    in the last months.

  [ Josselin Mouette ]
  * Drop references to version 2.0 in the description. Closes: #567158.

  [ Luca Falavigna ]
  * debian/patches/05_testPixmapCreateFromData.patch:
    - Backport a patch taken from upstream SVN to disable a gdk test
      which fails with RANDR extension (Closes: #548211).
  * debian/patches/06_gdk.color_from_hsv.patch:
    - Backport a patch taken from upstream SVN to fix incorrect
      gtk.gdk.color_from_hsv definition.
  * debian/control.in:
    - Add python-cairo-dbg and python-gobject-dbg to Build-Depends, they
      are required to successfully run tests at build time.
    - Drop duplicate autotools-dev build-dependency.
    - Depend on ${misc:Depends} for python-gtk2-dev and python-gtk2-dbg.
    - Bump Standards-Version to 3.8.4, no changes needed.

  [ Loïc Minier ]
  * Pass -screen to xvfb-run after the -s command-line flag and with -noreset.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 29 Jan 2010 14:41:14 +0100

pygtk (2.16.0-1) unstable; urgency=low

  * New upstream release.
    - Bump libgtk2.0-dev and python-gobject-dev build dependencies.
    - debian/patches/02_numpy.patch:
      + Removed, fixed upstream.
    - debian/patches/10_maintainer_mode.patch,
      debian/patches/70_autotools.patch:
      + Removed, no longer needed.
    - debian/patches/60_pygtk-wakeupfd-fix.patch:
      + Updated for the new version.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 07 Sep 2009 16:33:12 +0200

pygtk (2.14.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix section for debug package.

  [ Emilio Pozuelo Monfort ]
  * Stop build-depending on libgl1-mesa-dri, it was a workaround.
    Instead, require an Xvfb that isn't problematic. Closes: #524543.

  [ Josselin Mouette ]
  * 10_maintainer_mode: define AM_MAINTAINER_MODE to avoid re-running 
    the autotools during the build process.
  * 70_autoconf.patch renamed to 70_autotools.patch: run the whole 
    autotools stack, not just autoconf.
  * Together, closes: #527858.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 May 2009 09:26:13 +0200

pygtk (2.14.1-2) unstable; urgency=low

  * Bring back python-numpy to Depends since get_pixels_array can be 
    used even from an application that doesn’t import numpy explicitly.
    Closes: #519233.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 18:59:37 +0200

pygtk (2.14.1-1) unstable; urgency=low

  * New upstream release.
    + 65_bogus-python-includes.patch: removed, merged upstream.
    + 70_autoconf.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Mon, 09 Mar 2009 11:43:13 +0100

pygtk (2.13.0-3) unstable; urgency=low

  [ Loic Minier ]
  * Pass PYTHON to $(MAKE) runs for robustness in case of timestamp skews; see
    #509192; thanks Colin Watson for the original patch.
  * Don't purge /usr/share/doc/python-gtk2-doc/examples/demos during first
    configuration.
  * Rework patch and config.sub/.guess handling: backup config.guess and .sub,
    call quilt instead of relying on cdbs' quilt patchsys, restore
    config.guess and .sub after unpatching.  This avoids config.guess and
    .subin the diff, and allows control over fully working and fully patched
    trees.
  * Don't strip python-gtk2-dbg.
  * Rework install rules and dependencies completely to avoid .PHONY implicit
    targets.

  [ Josselin Mouette ]
  * 65_bogus-python-includes.patch: patch from Loïc Minier. Don’t 
    override PYTHON_INCLUDES, already set by AM_CHECK_PYTHON_HEADERS.
    Closes: #512345.
  * 70_autoconf.patch: refreshed.
  * Only recommend python-numpy, it can be detected at runtime.
  * Install files to the python-support directory so that the debugging 
    symbols are usable.
  * Fix quilt invocation so that patches are applied.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 14:51:09 +0100

pygtk (2.13.0-2) experimental; urgency=low


