=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: pygtk
Section: python
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Torsten Landschoff <torsten@debian.org>,
           Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 5),
               python-support (>= 0.7.6),
               gnome-pkg-tools (>= 0.10),
               cdbs,
               autotools-dev,
               xvfb (>= 2:1.6.0), xauth, xfonts-base,
               python-all-dev (>= 2.5),
               python-all-dbg,
               libgtk2.0-dev (>= 2.18.0),
               libglib2.0-dev (>= 2.8.0),
               libpango1.0-dev (>= 1.21.4),
               libatk1.0-dev (>= 1.12.0),
               libglade2-dev (>= 2.5.0),
               python-numpy-dbg (>= 1:1.4.1-4~),
               python-cairo-dev (>= 1.0.2),
               python-cairo-dbg (>= 1.0.2),
               python-gobject-dev (>= 2.16.1),
               python-gobject-dbg (>= 2.16.1),
               xsltproc,
               docbook-xsl,
               gnome-icon-theme
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygtk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygtk/
Homepage: http://www.pygtk.org/

Package: python-gtk2
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Python-Depends: python-cairo (>= 1.0.2-1.1),
                python-gobject (>= 2.15.3)
Suggests: python-gtk2-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Conflicts: python-gdk-imlib,
           python-glade,
           python-gnome,
           python-gtk,
           python2.3-gtk2,
           python2.4-gtk2,
           python-gtk-1.2 (<< 0.6.12-7)
Description: Python bindings for the GTK+ widget set
 This archive contains modules that allow you to use GTK+ in Python
 programs.

Package: python-gtk2-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-gtk2 (= ${binary:Version}),
         python-glade2 (= ${binary:Version}),
         python-dbg,
         python-numpy-dbg,
         python-cairo-dbg,
         python-gobject-dbg,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python bindings for the GTK+ widget set (debug extension)
 This archive contains modules that allow you to use GTK+ in Python
 programs.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-gtk2-dev
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= ${source:Version}),
         libglib2.0-dev (>= 2.8),
         libgtk2.0-dev (>= 2.13.6),
         python-dev,
         python-gobject-dev (>= 2.15.3)
Recommends: python-gtk2-doc
Replaces: python2.2-gtk2 (<< 1.99.17-4),
          python2.3-gtk2 (<< 1.99.17-4),
          python2.2-glade2 (<< 1.99.17-4),
          python2.3-glade2 (<< 1.99.17-4)
Conflicts: python2.2-gtk2 (<< 1.99.17-4),
           python2.3-gtk2 (<< 1.99.17-4),
           python2.2-glade2 (<< 1.99.17-4),
           python2.3-glade2 (<< 1.99.17-4),
           python-gdk-imlib,
           python-glade,
           python-gnome,
           python-gtk
Description: GTK+ bindings: devel files
 This archive contains files that allow you to build wrappers for addons
 that interoperate with python-gtk2 (pygtk).

Package: python-glade2
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gtk2 (= ${binary:Version})
Suggests: python-gtk2-doc
Conflicts: python-gdk-imlib,
           python-glade,
           python-gnome,
           python-gtk,
           python2.3-glade2,
           python2.4-glade2
Provides: ${python:Provides}
Description: GTK+ bindings: Glade support
 Contains bindings for the glade library from use within Python. Glade
 makes it very easy to create a user interface. In the target
 application you just need to load the interface description from
 the .glade file instead of constructing the GUI at runtime.

Package: python-gtk2-doc
Architecture: all
Section: doc
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
         ${python:Depends},
         python-gtk2,
Conflicts: python-gtk2 (<< 2.10.4-3)
Recommends: python-gobject,
            python-cairo,
            python-glade2
Suggests: devhelp
Description: Python bindings for the GTK+ widget set - documentation
 This package contains the documentation and API reference for the
 Python bindings of the Pango, ATK, GDK, GTK+ and Glade libraries.
 It is well structured and easy to use.
 .
 The documentation can be browsed with the devhelp documentation
 browser, or with a regular web browser.
 .
 This package also provides several examples showing how to use these
 bindings to build simple GUI applications.
