=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/pygtk/([\d\.]+)[02468]/pygtk-([\d\.]+)\.tar\.gz
